Package: groovy.swing.factory

## [Groovy] Class TableFactory

- groovy.swing.factory.TableFactory

-     class TableFactory
      extends BeanFactory

  Factory for creating tables and attaching child models or columns.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TableFactory()` Creates a new factory for creating tables and attaching child models or columns
    `TableFactory(Class klass)` Creates a new factory for creating tables and attaching child models or columns

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Creates the node handled by this factory.
    `` | `void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)` Attaches a child node to its parent.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### TableFactory()

      Creates a new factory for creating tables and attaching child models or columns

    - #### TableFactory(Class klass)

      Creates a new factory for creating tables and attaching child models or columns

      Parameters:
        `klass` - the widget class to instantiate

  - ### Method Detail

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

      Creates the node handled by this factory.

      Parameters:
        `builder` - the factory builder
        `name` - the node name
        `value` - the node value
        `attributes` - the node attributes
      Returns:
        the created or reused node

    - #### void setChild(FactoryBuilderSupport builder, Object parent, Object child)

      Attaches a child node to its parent.

      Parameters:
        `builder` - the factory builder
        `parent` - the parent node
        `child` - the child node